export default class Counter<V> {
    private readonly map;
    constructor(init?: Iterable<readonly [V, number]>);
    adjust(val: V, diff: number): number;
    entries(): IterableIterator<[V, number]>;
    positiveEntries(): Generator<[V, number], void, unknown>;
    values(): IterableIterator<V>;
    counts(): IterableIterator<number>;
    increment(val: V): number;
    decrement(val: V): number;
    get(val: V): number;
    set(val: V, count: number): this;
    [Symbol.iterator](): IterableIterator<[V, number]>;
}
