export default class YearMonth {
    readonly year: number;
    readonly month: number;
    constructor(year: number, month: number);
    static ofDate(dt: Date): YearMonth;
    static parse(raw: string): YearMonth | undefined;
    static now(): YearMonth;
    startUtc(): Date;
    endUtc(): Date;
    toJSON(): string;
    toString(): string;
}
