"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const AssertionError_1 = __importDefault(require("./AssertionError"));
exports.default = (ary, len, msg = `Array has ${ary.length} element(s) but expected ${len}`) => {
    if (len !== ary.length) {
        throw new AssertionError_1.default(msg);
    }
    return ary;
};
