"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const AssertionError_1 = __importDefault(require("./AssertionError"));
exports.default = (val, type, msg = `Value is not of type ${type}`) => {
    if (typeof val != type) {
        throw new AssertionError_1.default(msg);
    }
    return val;
};
