"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const crypto_1 = __importDefault(require("crypto"));
// Inspired by https://stackoverflow.com/a/10984975/6249022, is uniform.
// WARNING: If changing, ensure it remains uniform!
exports.default = (minInc, maxInc) => {
    const RAND_MAX = 2 ** 48;
    const n = maxInc - minInc + 1;
    let x;
    do {
        x = crypto_1.default.randomBytes(6).readUIntBE(0, 6);
    } while (x >= RAND_MAX - (RAND_MAX % n));
    x %= n;
    return minInc + x;
};
