"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const encodeBase64_1 = __importDefault(require("./encodeBase64"));
const slices_1 = __importDefault(require("./slices"));
exports.default = (tag, raw) => [
    `-----BEGIN ${tag}-----`,
    ...(0, slices_1.default)((0, encodeBase64_1.default)(raw), 64),
    `-----END ${tag}-----`,
].join("\n");
