"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (array, pred, replacer) => {
    // Don't replace until after iteration.
    const replacements = [];
    const values = [];
    for (let i = 0; i < array.length; i++) {
        if (pred(array[i], i, array)) {
            values.push(array[i]);
            replacements.push([i, replacer(array[i], i, array)]);
        }
    }
    for (const [i, v] of replacements) {
        array[i] = v;
    }
    return values;
};
