"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (vals, preds) => {
    const predPairs = Object.entries(preds);
    const out = Object.fromEntries(predPairs.map(([prop]) => [prop, Array()]));
    for (const val of vals) {
        for (const [prop, pred] of predPairs) {
            if (pred(val)) {
                out[prop].push(val);
            }
        }
    }
    return out;
};
