"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// We use duck typing `instanceof ArrayBuffer` doesn't always work.
// See https://github.com/nodejs/node/issues/20978 and https://github.com/feross/buffer/issues/166.
exports.default = (val) => typeof val == "object" &&
    !!val &&
    (val instanceof ArrayBuffer ||
        (val.constructor?.name === "ArrayBuffer" &&
            typeof val["byteLength"] == "number"));
