"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const UnreachableError_1 = __importDefault(require("./UnreachableError"));
exports.default = (collection) => {
    // Do not use 'in' operator on string, it will throw an error.
    if (typeof collection == "string") {
        return !collection;
    }
    if (typeof collection == "object" && collection) {
        return !("size" in collection ? collection["size"] : collection["length"]);
    }
    throw new UnreachableError_1.default();
};
