"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (stream) => {
    if ("getReader" in stream) {
        const reader = stream.getReader();
        return {
            [Symbol.asyncIterator]() {
                return {
                    async next() {
                        return (await reader.read());
                    },
                };
            },
        };
    }
    else {
        return stream;
    }
};
