"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (comparator) => {
    return (a, b) => {
        if (a === null && b === null) {
            return 0;
        }
        if (a === null) {
            return 1;
        }
        if (b === null) {
            return -1;
        }
        return comparator(a, b);
    };
};
