"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const maybeParseInteger_1 = __importDefault(require("./maybeParseInteger"));
exports.default = (raw, base = 10) => {
    const parsed = (0, maybeParseInteger_1.default)(raw, base);
    if (parsed === undefined) {
        throw new TypeError(`Invalid integer`);
    }
    return parsed;
};
