"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const maybeParseNumber_1 = __importDefault(require("./maybeParseNumber"));
exports.default = (raw) => {
    const parsed = (0, maybeParseNumber_1.default)(raw);
    if (parsed === undefined) {
        throw new TypeError(`Invalid number`);
    }
    return parsed;
};
