"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// Due to https://github.com/microsoft/TypeScript/issues/42021, we can't use spread/rest operator to omit properties and still have it be valid JsobValue. This is also a bit faster.
exports.default = (obj, ...props) => {
    for (const prop of props) {
        delete obj[prop];
    }
    return obj;
};
