"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function* default_1(...its) {
    const iterators = its.map((it) => it[Symbol.iterator]());
    while (true) {
        const gen = [];
        for (const it of iterators) {
            const elem = it.next();
            if (elem.done) {
                return;
            }
            gen.push(elem.value);
        }
        yield gen;
    }
}
exports.default = default_1;
