/// <reference types="node" />
/// <reference types="node" />
import { Duplex } from "node:stream";
export default class Lines extends Duplex {
    private readonly mapper;
    private readonly includeFinalUnterminated;
    private buffer;
    private canPush;
    constructor(mapper?: (line: string) => string | undefined, includeFinalUnterminated?: boolean);
    private pushLine;
    private maybeRead;
    _read(): void;
    _write(chunk: any, encoding: any, callback: (error?: Error | null | undefined) => void): void;
    _writev(chunks: {
        chunk: any;
        encoding: BufferEncoding;
    }[], callback: (error?: Error | null | undefined) => void): void;
    _final(callback: (error?: Error | null | undefined) => void): void;
}
