export default class Pipe<V> {
    private readonly value;
    constructor(value: V);
    map<R>(mapper: (val: V, ...args: any[]) => R, ...args: any[]): Pipe<R>;
    asyncMap<R>(mapper: (val: V, ...args: any[]) => Promise<R>, ...args: any[]): Promise<Pipe<R>>;
}
