"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Pipe {
    value;
    constructor(value) {
        this.value = value;
    }
    map(mapper, ...args) {
        return new Pipe(mapper(this.value, ...args));
    }
    async asyncMap(mapper, ...args) {
        return new Pipe(await mapper(this.value, ...args));
    }
}
exports.default = Pipe;
