"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const AssertionError_1 = __importDefault(require("./AssertionError"));
const mapDefined_1 = __importDefault(require("./mapDefined"));
class UnreachableError extends AssertionError_1.default {
    constructor(val, msg) {
        super(msg ?? (0, mapDefined_1.default)(val, String));
    }
}
exports.default = UnreachableError;
