"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const nativeOrdering_1 = __importDefault(require("./nativeOrdering"));
exports.default = (elemComparator = nativeOrdering_1.default) => (a, b) => {
    for (let i = 0; i < Math.min(a.length, b.length); i++) {
        const elemCmp = elemComparator(a[i], b[i]);
        if (elemCmp) {
            return elemCmp;
        }
    }
    return (0, nativeOrdering_1.default)(a.length, b.length);
};
