"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const AssertionError_1 = __importDefault(require("./AssertionError"));
exports.default = (val, msg = "Not a byte number") => {
    if (typeof val != "number" ||
        !Number.isSafeInteger(val) ||
        val < 0 ||
        val > 255) {
        throw new AssertionError_1.default(msg);
    }
    return val;
};
