"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const AssertionError_1 = __importDefault(require("./AssertionError"));
const describeType_1 = __importDefault(require("./describeType"));
exports.default = (val, type, msg = `Unexpected type of instance (expected ${type.name}, got ${(0, describeType_1.default)(val)})`) => {
    if (!(val instanceof type)) {
        throw new AssertionError_1.default(msg);
    }
    return val;
};
