"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const AssertionError_1 = __importDefault(require("./AssertionError"));
exports.default = (val, regex, message = `String does not match regex ${regex}`) => {
    if (!regex.test(val)) {
        throw new AssertionError_1.default(message);
    }
    return val;
};
