"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const maybeBigIntToNumber_1 = __importDefault(require("./maybeBigIntToNumber"));
exports.default = (val) => {
    const res = (0, maybeBigIntToNumber_1.default)(val);
    if (res === undefined) {
        throw new RangeError("BigInt value cannot be safely converted to a Number");
    }
    return res;
};
