"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DUMMY = {};
function* default_1(it, joinProducer) {
    let left = DUMMY;
    for (const val of it) {
        if (left !== DUMMY) {
            yield joinProducer(left, val);
        }
        left = val;
        yield val;
    }
}
exports.default = default_1;
