"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fn = typeof Buffer == "function"
    ? Buffer.concat
    : (buffers, totalLength = buffers.reduce((sum, buf) => sum + buf.byteLength, 0)) => {
        const result = new Uint8Array(totalLength);
        let offset = 0;
        for (const buf of buffers) {
            result.set(buf, offset);
            offset += buf.byteLength;
        }
        return result;
    };
exports.default = fn;
