"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const encodeBase64_1 = __importDefault(require("./encodeBase64"));
exports.default = (mime, data) => {
    if (typeof data == "string") {
        return `data:${mime},${encodeURIComponent(data)}`;
    }
    return `data:${mime};base64,${encodeURIComponent((0, encodeBase64_1.default)(data))}`;
};
