"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const identity_1 = __importDefault(require("./identity"));
exports.default = (key = identity_1.default) => {
    const seen = new Set();
    return (val) => {
        const k = key(val);
        if (seen.has(k)) {
            return false;
        }
        seen.add(k);
        return true;
    };
};
