"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const assertState_1 = __importDefault(require("./assertState"));
exports.default = (val) => {
    (0, assertState_1.default)(Number.isSafeInteger(val) && val >= 0);
    const bytes = [];
    while (val > 127) {
        bytes.push(128 | val % 128);
        val = Math.floor(val / 128);
    }
    bytes.push(val);
    return new Uint8Array(bytes);
};
