"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = async (upToMs, toGet) => {
    const endAfter = Date.now() + upToMs;
    while (Date.now() <= endAfter) {
        const res = await toGet();
        if (res !== undefined) {
            return res;
        }
    }
    return undefined;
};
