"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const UnreachableError_1 = __importDefault(require("./UnreachableError"));
exports.default = (val, ...arms) => {
    for (const [pred, map] of arms) {
        if (pred === true || pred(val)) {
            return map(val);
        }
    }
    throw new UnreachableError_1.default();
};
