"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const nativeOrdering_1 = __importDefault(require("./nativeOrdering"));
exports.default = (vals, comparator = nativeOrdering_1.default) => {
    let min;
    let set = false;
    for (const val of vals) {
        // @ts-ignore Use before assignment.
        if (!set || comparator(val, min) < 0) {
            min = val;
        }
        set = true;
    }
    if (!set) {
        throw new Error(`No values provided by iterable`);
    }
    // @ts-ignore Use before assignment.
    return min;
};
