"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Mutex {
    chain = Promise.resolve();
    lock = () => new Promise((resolve) => {
        let unlock;
        const oldChain = this.chain;
        this.chain = new Promise((resolve) => {
            unlock = resolve;
        });
        oldChain.then(() => resolve({
            unlock,
        }));
    });
}
exports.default = Mutex;
