/// <reference types="node" />
/// <reference types="node" />
import { PassThrough, Readable } from "stream";
declare const _default: ({ upstream, persistencePath, onPersisted, onChunkWriteError, }: {
    upstream: Readable;
    persistencePath: string;
    onPersisted?: ((stats: {
        size: number;
    }) => void) | undefined;
    onChunkWriteError?: ((err: Error) => Promise<boolean>) | undefined;
}) => Promise<{
    downstream(start?: number, end?: number): PassThrough | import("fs").ReadStream;
}>;
export default _default;
