"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (params) => {
    const pairs = Array();
    for (const [n, v] of Object.entries(params)) {
        if (v == null) {
            continue;
        }
        if (typeof v == "boolean") {
            if (!v) {
                continue;
            }
            pairs.push([n]);
            continue;
        }
        pairs.push([n, String(v)]);
    }
    return pairs.map((p) => p.map(encodeURIComponent).join("=")).join("&");
};
