"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const isomorphicReadableStream_1 = __importDefault(require("./isomorphicReadableStream"));
async function* default_1(stream) {
    for await (const chunk of (0, isomorphicReadableStream_1.default)(stream)) {
        if (chunk instanceof Uint8Array) {
            yield* chunk;
        }
        else {
            yield* new Uint8Array(chunk);
        }
    }
}
exports.default = default_1;
