"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// Check tests for details on how this works.
exports.default = (string) => {
    const tokens = [];
    let segment = "";
    let tiebreaker = "";
    for (const c of string) {
        if (/^[0-9]$/.test(c)) {
            // Is digit.
            if (typeof segment == "string") {
                if (segment) {
                    tokens.push({ segment, tiebreaker });
                }
                segment = 0n;
                tiebreaker = 0n;
            }
            if (segment === 0n && c === "0") {
                tiebreaker++;
            }
            else {
                segment = segment * 10n + BigInt(c);
            }
        }
        else {
            if (typeof segment == "bigint") {
                tokens.push({ segment, tiebreaker });
                segment = "";
                tiebreaker = "";
            }
            tiebreaker += c;
            if (/^[a-zA-Z]$/.test(c)) {
                // Is letter.
                segment += c.toLowerCase();
            }
        }
    }
    if (segment !== "") {
        tokens.push({ segment, tiebreaker });
    }
    return tokens;
};
